#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"


int main(int argc, char *argv[])
{
   fprintf(stderr,"Choose a screen mode by entering ?\n");

   s2opend("/?", argc, argv);             	/* Prompt for user selection */
   s2swin(-1.,1., -1.,1., -1.,1.);              /* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);  /* Draw coordinate box */
   
   int stereo;
   int fullscreen;
   int dome;
   ss2qsa(&stereo, &fullscreen, &dome);
   
   fprintf(stderr,"You choose an S2PLOT screen with:\n");
   if (stereo == NOSTEREO) fprintf(stderr,"\tNo stereo support\n");
   else fprintf(stderr,"\tA stereo mode \n");

   if (fullscreen == 1) fprintf(stderr,"\tFull screen\n");
   else fprintf(stderr,"\tNot fullscreen\n");

   if (dome == NODOME) fprintf(stderr,"\tNo dome support\n");
   else fprintf(stderr,"\tA dome mode\n");


   return 1;
}
